Skip to content
Start here

Check Post-Quantum TLS support

radar.post_quantum.tls.support(TLSSupportParams**kwargs) -> TLSSupportResponse
GET/radar/post_quantum/tls/support

Tests whether a hostname or IP address supports Post-Quantum (PQ) TLS key exchange. Returns information about the negotiated key exchange algorithm and whether it uses PQ cryptography.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
host: str

Hostname or IP address to test for Post-Quantum TLS support, optionally with port (defaults to 443).

minLength1
ReturnsExpand Collapse
class TLSSupportResponse:
host: str

The host that was tested

kex: float

TLS CurveID of the negotiated key exchange

kex_name: str

Human-readable name of the key exchange algorithm

pq: bool

Whether the negotiated key exchange uses Post-Quantum cryptography

Check Post-Quantum TLS support

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.radar.post_quantum.tls.support(
    host="cloudflare.com",
)
print(response.host)
{
  "result": {
    "host": "host",
    "kex": 0,
    "kexName": "kexName",
    "pq": true
  },
  "success": true
}
Returns Examples
{
  "result": {
    "host": "host",
    "kex": 0,
    "kexName": "kexName",
    "pq": true
  },
  "success": true
}